Supporto » Fixing WordPress » Errore nell’accesso al pannello di amministrazione

  • Salve, non riesco più ad accedere al pannello di amministrazione del mio sito (CP Panel su Netsons). Ho contattato l’assistenza ma non mi hanno ancora risposto. Ho provato allora ad aggiornare WordPress, e mi è arrivato via email questo messaggio:

    “Se cerchi aiuto per questo problema, ti potrebbero essere chieste alcune delle seguenti informazioni:
    Versione di WordPress 5.5.3
    Tema corrente: Roberta Iuliano (versione 1.0)
    Plugin corrente: (versione )
    Versione PHP 7.3.23

    Dettagli dell’errore
    ====================
    Un errore di E_COMPILE_ERROR è stato causato nella linea 20 del file /home/kdnavovl/public_html/wp-content/themes/sydney/demo-content/setup.php. Messaggio di errore: Cannot redeclare sydney_set_import_files() (previously declared in /home/kdnavovl/public_html/wp-content/plugins/sydney-toolbox/demo-content/setup.php:18)”

    Ho provato a cercare soluzioni da sola in altri topic (credo si tratti di un problema relativo al mio tema, Sidney, e ad uno dei suoi pulg in, che dovrebbero essere entrambi aggiornati (ma non riuscendo ad entrare, non posso farlo). Non sono riuscita ad aggirare il problema e risolvere in nessuno dei modi che ho trovato e non riesco ad accedere in nessun modo al mio pannello di amministrazione, nonostante il sito risulti ancora raggiungibile. Cosa posso fare?

    La pagina su cui ho bisogno di aiuto: [devi essere connesso per vedere il link]

Stai visualizzando 3 risposte - dal 1 al 3 (di 3 totali)
  • Ciao @robertaiuliano ,
    forse l’assistenza ti ha risposto, comunque sembra che una funzione con lo stesso nome venga dichiarata due volte e ciò non è possibile, a meno che una delle due non sia nidificata in qualche modo.
    Una dichiarazione la fa il plugin “sydney-toolbox” e un’altra il tema “sydney”.

    Un modo per evitare la doppia dichiarazione è eliminare manualmente il plugin.

    Via FTP rinomina la cartella “wp-content/plugins/sydney-toolbox/” in “wp-content/plugins/sydney-toolbox-old/”

    A questo punto dovrebbe essere possibile riavere il pannello di amministrazione.

    Grazie per la risposta, ho appena provato ma non funziona, mi dà sempre lo stesso errore.

    Ciao @robertaiuliano ,
    se il messaggio è esattamente lo stesso cioè wp tenta di ridichiarare la stessa funzione `
    sydney_set_import_files()`
    c’è una cache attiva. Può essere quella del browser, di wp o del server. Tutti usano la cache per cercare di essere più veloci.
    Dopo un po’ la cache viene ricostruita, in genere, l’errore dovrebbe sparire.

    Se il msg di errore riguarda un altra funzione bisogna vedere.

Stai visualizzando 3 risposte - dal 1 al 3 (di 3 totali)
  • Devi essere collegato per rispondere a questo topic.